package cz.vutbr.feec.session.gnp;

import java.util.Vector;

import cz.vutbr.feec.gui.LandmarkGui;

public class GNPConfig {
	private final Vector<LandmarkGui> landmarks;
	private double noiseRatio;
	private AlgorithmType type;

	public enum AlgorithmType { SIMPLEX_DOWNHILL, GENETICS_ALGORITHM }
	
	public GNPConfig(Vector<LandmarkGui> landmarks) {
		this.landmarks = landmarks;
	}

	public Vector<LandmarkGui> getLandmarks() {
		return landmarks;
	}

	public double getNoiseRatio() {
		return noiseRatio;
	}

	public void setNoiseRatio(double noiseRatio) {
		assert noiseRatio <= 1.0 && noiseRatio >=0.0;
		this.noiseRatio = noiseRatio;
	}

	protected AlgorithmType getType() {
		return type;
	}

	protected void setType(AlgorithmType type) {
		this.type = type;
	}
}
